Subject: Re: 2.6.24 BUG: soft lockup - CPU#X

From: Rick Jones <[email-masked]>
Date: Wed, 26 Mar 2008 10:31:34 -0700

Matheos Worku wrote:
> All,
> 
> While running iperf (transmit) on NIU driver I get several soft lockup 
> errors.  I have seen similar soft lockup errors on kernels 2.6.18 and 
> later (with other 10G NIC drivers with LSO disabled) but it is more 
> frequent/pronounced on 2.6.24 kernel.  oprofile is not giving  much clue 
> as where the cpus are spending time (atleast doesn't indicate any thing 
> abnormal in the driver(s)). 

Is oprofile running on an AMD processor able to profile where/when 
interrupts are disabled?  If not there could be a fair bit missing from 
the profile.

rick jones